playeffect("holl_o",true)

speciale_action(2,125)
speciale_action(2,125,true,3)
speciale_action(2,124,true,2.9)
speciale_action(2,127)
speciale_action(2,127,true,3)
speciale_action(2,126,true,2.9)

setCursor(obj.mini_ZalMuzeyaKandelabr_7_0.id,2);
setCursor(obj.mini_Piano_7_0.id,2);
setCursor(obj.door_HollMuzeya_7_0.id,6);
setCursor(obj.door_ZalMuzeyaHidden_7_0.id,2);
setCursor(obj.mini_Rune_7_0.id,2);

function SelectRandom()
  if not neighbors.ZalMuzeyaHidden.lock then
    giveMeHint(obj.door_ZalMuzeyaHidden_7_0.id);
  return end
  if not neighbors.Rune.lock then
    giveMeHint(obj.mini_Rune_7_0.id);
  return end
  if obj.svecha_3_1 and obj.svecha_3_1.is_collapsed and obj.spichki_5_12 
  and obj.spichki_5_12.is_collapsed and not flags.kandelyabr then
    giveMeHint(obj.mini_ZalMuzeyaKandelabr_7_0.id);
  return end
  if obj.nota_5_1 and obj.nota_5_1.is_collapsed and flags.videlNoty and not neighbors.piano.lock then
    giveMeHint(obj.mini_Piano_7_0.id);
  return end
  CreatePlashechka("10001")
end;

if flags.ZalMuzeyaHidden2 then
  neighbors.ZalMuzeyaHidden.lock=false
end;

if neighbors.piano.lock then
  set_visible_object(obj.mini_Piano_7_0.id,false)
end
if neighbors.ZalMuzeyaHidden.lock then
  set_visible_object(obj.door_ZalMuzeyaHidden_7_0.id,false)
else
  set_visible_object(obj.door_ZalMuzeyaHidden_7_0.id,true)
end
if neighbors.Rune.lock then
  set_visible_object(obj.mini_Rune_7_0.id,false)
end

if flags.otkrylKryshku then
  set_visible_object(811,true)
  set_visible_object(812,false)
else
  set_visible_object(812,true)
  set_visible_object(811,false)
end;

if flags.kandelyabr then
  set_visible_object(obj.svet_7_0.id,true)
else
  set_visible_object(obj.svet_7_0.id,false)
end
if flags.svecha then
  set_visible_object(obj.sve_7_0.id,true)
else
  set_visible_object(obj.sve_7_0.id,false)
end;
if neighbors.ZalMuzeyaKandelabr.lock then
  set_visible_object(obj.mini_ZalMuzeyaKandelabr_7_0.id,false)
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  
  if sender==16 then
    if obj_id==124 then
      speciale_action(2,125,true,3)
      speciale_action(2,124,true,2.9)    
    return;end;
    if obj_id==125 then
      speciale_action(2,124,true,3)
      speciale_action(2,125,true,2.9)    
    return;end;    
    if obj_id==126 then
      speciale_action(2,127,true,3)
      speciale_action(2,126,true,2.9)    
    return;end;
    if obj_id==127 then
      speciale_action(2,126,true,3)
      speciale_action(2,127,true,2.9)    
    return;end;      
  return;end;    
  
  if sender==1 then
    if obj_id == obj.door_HollMuzeya_7_0.id then
      jump("HollMuzeya");
    end;
    if obj_id == obj.door_ZalMuzeyaHidden_7_0.id then
      flags.is_hidden_loc = true;
      jump("ZalMuzeyaHidden");
    end;
    if obj_id == obj.mini_ZalMuzeyaKandelabr_7_0.id then
      CreateSatelite("ZalMuzeyaKandelabr");
      playeffect("sat")
    end;
    if obj_id == obj.mini_Piano_7_0.id then
      CreateSatelite("piano");
      playeffect("sat")
    end;
    if obj_id == obj.mini_Rune_7_0.id then
      CreateSatelite("Rune");
      playeffect("sat")
    end;
  end
  -- if sender == 8 then
    -- dofile("./data/7/0/comics.lua")
  -- end
end


